Package weka.attributeSelection

# Class LFSMethods.Link2

java.lang.Object
weka.attributeSelection.LFSMethods.Link2

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `LFSMethods`

public class LFSMethods.Link2 extends Object implements Serializable, RevisionHandler
Class for a node in a linked list. Used in best first search. Copied from BestFirstSearch

Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Link2(Object[] data, double mer)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getData()`
Get a group
`String`
`getRevision()`
Returns the revision string.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Link2

public Link2(Object[] data, double mer)

## Method Details

### getData

public Object[] getData()
Get a group

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision